export declare type FileSizes = {
    [size: string]: {
        filename: string;
        filesize: number;
        mimeType: string;
        name: string;
        width: number;
        height: number;
        crop: string;
    };
};
export declare type FileData = {
    filename: string;
    filesize: number;
    mimeType: string;
    width: number;
    height: number;
    sizes: FileSizes;
};
export declare type ImageSize = {
    name: string;
    width: number;
    height: number;
    crop?: string;
};
export declare type IncomingUploadType = {
    imageSizes?: ImageSize[];
    staticURL?: string;
    staticDir?: string;
    adminThumbnail?: string;
};
export declare type Upload = {
    imageSizes?: ImageSize[];
    staticURL: string;
    staticDir: string;
    adminThumbnail?: string;
};
